/* if.h	-- Alan Shutko <ats@hubert.wustl.edu>
 *
 * $Id: int-fiction.h,v 1.2 1996/12/17 05:53:17 ats Exp $
 */

#ifndef _IF_H
#define _IF_H

typedef struct Game* gameptr;
typedef struct Game 
{
    char Name[31];
    char Description[41];
    char *File;
    char *Interpreter;
    int valid;
    gameptr next;
} Game;

#include <sys/stat.h>

extern int valid_file(char *name);
extern int path_find(char *name);
extern int check_valid(const char* pathname, struct stat *statptr, int type);
extern int mark_valid(const char *pathname);
extern int pathsearch_valid_games(void);
extern int simple_check_dir(const char *filename);
extern int recurse_check_dir(const char *filename);



#endif
